Get Many Line Items
Returns the line items on your organization's orders, newest order first, with each order's line items in the order they appear on it.
Query Parameters
- page integer required
Page to return. Pages start at
0 - limit integer required
Possible values:
>= 1and<= 500Number of records per page, up to
500 - orderId uuid
Only return line items on this order
- itemId uuid
Only return line items for this item
- itemBatchId uuid
Only return line items for this item batch
- startCreatedAt date
Only return line items created on or after this date, in
yyyy-mm-ddformat - endCreatedAt date
Only return line items created on or before this date, in
yyyy-mm-ddformat - startUpdatedAt date
Only return line items updated on or after this date, in
yyyy-mm-ddformat - endUpdatedAt date
Only return line items updated on or before this date, in
yyyy-mm-ddformat - startDeliveryDate date
Only return line items whose order is delivered on or after this date, in
yyyy-mm-ddformat - endDeliveryDate date
Only return line items whose order is delivered on or before this date, in
yyyy-mm-ddformat
- 200
- 400
- 401
- 429
Successful Operation
- application/json
- Schema
Schema
data object[]
id uuidNabis ID of the line item
orderId uuidNabis ID of the order the line item is on. See Get Order by Nabis ID
itemBatchId uuidNabis ID of the item batch ordered. See Get Inventory by Nabis ID
itemId uuidNabis ID of the item ordered
batchId uuidNabis ID of the batch ordered
name stringName of the item when it was ordered
code stringCode of the item when it was ordered
unit stringDescription of a single unit of the item when it was ordered (e.g. 6-pack)
quantity integerNumber of units ordered
pricePerUnit numberPrice of a single unit on this order, before discounts
itemPricePerUnit numberThe item's standard price for a single unit when it was ordered
taxInclusivePrice numberPrice of a single unit including tax. Only set when the order uses tax-inclusive pricing (
taxInclusivePricingon the order)discount numberDiscount applied to the line item, for the whole line
promotionsDiscount numberDiscount from promotions applied to the line item, for the whole line
flatDiscountAmount numberThe line item's share of any flat discount applied to the whole order
isSample booleanWhether the line item is a sample
sampleType stringPossible values: [
TRADE_SAMPLE,DONATION,DISPLAY_SAMPLE]Kind of sample.
nullwhen the line item isn't a samplelineItemManifestNotes stringNotes on the line item that appear on the order's manifest
createdAt date-timeWhen the line item was created
updatedAt date-timeWhen the line item was last updated
- page integer
The page returned
- totalCount integer
Total number of records across all pages
- totalNumPages integer
Total number of pages
- nextPage integer
The next page, or
nullon the last page - prevPage integer
The previous page, or
nullon the first page
Invalid request parameters
Invalid API key
Too Many Requests